Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Interface PropertiesGeneralContext

All Known Implementing Classes:
  PropertiesContext

    public interface PropertiesGeneralContext

Context for the stored properties. Be careful with these. The results are only valid for the directory you're currently processing, since the metafile scope changes in every directory.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Method Summary
`java.lang.String` | `GET_DEFAULT(java.lang.String name, java.lang.String theDefault)` Get a property value or the given default, if the property is not set.
`java.lang.String` | `GET_LOCAL_DEFAULT(java.lang.String name, java.lang.String theDefault)` Get a property value or the given default, if the property is not set.
`java.lang.String[]` | `GET_MULTIVALUE(java.lang.String name)` Get a property multi-value.
`boolean` | `MATCH(java.lang.String name, java.lang.String token)` Check to see if a token matches the value of a property.

Method Detail

### GET_DEFAULT

    java.lang.String GET_DEFAULT(java.lang.String name,
                                 java.lang.String theDefault)

  Get a property value or the given default, if the property is not set. Both local and non-local properties will be checked.

  Parameters:
    `name` - the property name.
    `theDefault` - the default value.
  Returns:
    the value property or the default value.

### GET_LOCAL_DEFAULT

    java.lang.String GET_LOCAL_DEFAULT(java.lang.String name,
                                       java.lang.String theDefault)

  Get a property value or the given default, if the property is not set. Only LOCAL properties will be check.

  Parameters:
    `name` - the property name.
    `theDefault` - the default value.
  Returns:
    the value property or the default value.

### GET_MULTIVALUE

    java.lang.String[] GET_MULTIVALUE(java.lang.String name)
                                      throws java.lang.Throwable

  Get a property multi-value. Both local and non-local properties will be checked.

  Parameters:
    `name` - the property name.
  Returns:
    an array of values for this property or null if the property isn't set.
  Throws:
    `java.lang.Throwable`

### MATCH

    boolean MATCH(java.lang.String name,
                  java.lang.String token)
                  throws java.lang.Throwable

  Check to see if a token matches the value of a property. It will work against a multi-value property. It allows filename wildcards (like *). It is case sensitive.

  Parameters:
    `name` - the property name.
    `token` - the token to match.
  Returns:
    true if the property is set and the token matches any of its values, otherwise false.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.